DirectorySourceFileLocator (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jacoco.report
Class DirectorySourceFileLocator

    java.lang.Object
      org.jacoco.report.InputStreamSourceFileLocator
          org.jacoco.report.DirectorySourceFileLocator

All Implemented Interfaces:
  ISourceFileLocator

    public class DirectorySourceFileLocator

extends InputStreamSourceFileLocator

Locator for source files that picks source files from a given directory in the file system.

Constructor Summary
`DirectorySourceFileLocator(File directory, String encoding, int tabWidth)` Creates a new locator that searches for source files in the given directory.

Method Summary
`protected InputStream` | `getSourceStream(String path)` Tries to locate the given source file and opens its binary content.

Methods inherited from class org.jacoco.report.InputStreamSourceFileLocator
`getSourceFile, getTabWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectorySourceFileLocator

    public DirectorySourceFileLocator(File directory,
                                      String encoding,
                                      int tabWidth)

  Creates a new locator that searches for source files in the given directory.

  Parameters:
    `directory` - directory to search for source file
    `encoding` - encoding of the source files, `null` for platform default encoding
    `tabWidth` - tab width in source files as number of blanks

Method Detail

### getSourceStream

    protected InputStream getSourceStream(String path)
                                   throws IOException

  Description copied from class: `InputStreamSourceFileLocator`
  Tries to locate the given source file and opens its binary content.

  Specified by:
    `getSourceStream` in class `InputStreamSourceFileLocator`
  Parameters:
    `path` - local path to the resource
  Returns:
    stream if the file could be located, `null` otherwise
  Throws:
    `IOException` - in case of problems while opening the stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.